lens-4.13: Lenses, Folds and Traversals

Copyright | (C) 2012-2015 Edward Kmett
License | BSD-style (see the file LICENSE)
Maintainer | Edward Kmett <ekmett@gmail.com>
Stability | experimental
Portability | non-portable
Safe Haskell | Safe
Language | Haskell98

Control.Lens.Internal.Prism

Description

Synopsis

- data Market a b s t = Market (b -> t) (s -> Either t a)
- type Market' a = Market a a

# Documentation

data Market a b s t Source

This type is used internally by the `Prism` code to provide efficient access to the two parts of a `Prism`.

Constructors

Market (b -> t) (s -> Either t a) |

Instances

Choice (Market a b) Source |
Profunctor (Market a b) Source |
Functor (Market a b s) Source |

type Market' a = Market a a Source

    type Market' a s t = Market a a s t